Subject: Re: r8169: remove "PHY reset until link up" log spam

From: Peter Wu <[email-masked]>
Date: Tue, 23 Jul 2013 18:07:15 +0200

On Tuesday 23 July 2013 08:54:36 Stephen Hemminger wrote:
> On Tue, 23 Jul 2013 11:55:57 +0200
> 
> Peter Wu <[email-masked]> wrote:
> > This message was added in commit a7154cb8 (June 2004) and is printed
> > every ten seconds when no cable is connected.
> > 
> > Signed-off-by: Peter Wu <[email-masked]>
> > ---
> > Using ethtool to silence *all* link warnings is still a manual
> > operation, in my opinion not acceptable so let's remove this message.
> > 
> > The r8169 constantly resets the device when no link is connected,
> > contrary the r8168 vendor driver which only resets the link when some
> > PCI config fields have been modified. As the current reset logic in r8168
> > seems to work for broken device (which I do not have have and therefore
> > cannot test), I did not attempt to "clean this up".
> > ---
> > 
> >  drivers/net/ethernet/realtek/r8169.c | 2 --
> >  1 file changed, 2 deletions(-)
> > 
> > diff --git a/drivers/net/ethernet/realtek/r8169.c
> > b/drivers/net/ethernet/realtek/r8169.c index 880015c..63f04af 100644
> > --- a/drivers/net/ethernet/realtek/r8169.c
> > +++ b/drivers/net/ethernet/realtek/r8169.c
> > @@ -3689,8 +3689,6 @@ static void rtl_phy_work(struct rtl8169_private *tp)
> > 
> >  	if (tp->link_ok(ioaddr))
> >  	
> >  		return;
> > 
> > -	netif_warn(tp, link, tp->dev, "PHY reset until link up\n");
> > -
> > 
> >  	tp->phy_reset_enable(tp);
> >  
> >  out_mod_timer:
> Why not implement netif msg flag to allow user to control this?

Which user wants to get log spam every ten seconds? I see no purpose except 
when a developer asks a user to turn this on, or except if you are a 
developer. This message was added almost ten years ago, Realtek must certainly 
have improved their hardware not to be so crappy? 

See also <http://marc.info/?l=linux-netdev&m=137452974325684&w=2> where David 
Miller wrote:
> In every case where this issue has popped up, we have decided that
> printing messages when the cable is simply unplugged is very
> undesirable.

Regards,
Peter